Class | YAML::DomainType
In: | syck/rubyext.c
Parent: | Object

### Methods

new

### Public Class methods

new(p1, p2, p3)

YAML::DomainType.initialize

[Source]

    /*
     * YAML::DomainType.initialize
     */
    VALUE
    syck_domaintype_initialize( self, domain, type_id, val )
        VALUE self, domain, type_id, val;
    {
        rb_iv_set( self, "@domain", domain );
        rb_iv_set( self, "@type_id", type_id );
        rb_iv_set( self, "@value", val );
        return self;
    }

[Validate]